org.springframework.data.relational.core.mapping.event

## Interface WithEntity<E>

All Superinterfaces:
  RelationalEvent<E>

All Known Implementing Classes:
  AfterLoadEvent, AfterSaveEvent, BeforeConvertEvent, BeforeSaveEvent, RelationalEventWithEntity, RelationalSaveEvent

    public interface WithEntity<E>
    extends RelationalEvent<E>

Interface for events which are guaranteed to have an entity.

Author:
  Jens Schauder

### Method Summary

All Methods Instance Methods Abstract Methods
`E` `getEntity()` Overridden in order to change nullability.

### Methods inherited from interface org.springframework.data.relational.core.mapping.event.RelationalEvent

`getType`

### Method Detail

#### getEntity

    @NonNull
    E getEntity()

Overridden in order to change nullability.

Specified by:
  `getEntity` in interface `RelationalEvent<E>`
Returns:
  will never be null.